Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 225958

Summary: Merge Review: kbd
Product: [Fedora] Fedora Reporter: Nobody's working on this, feel free to take it <nobody>
Component: Package ReviewAssignee: manuel wolfshant <wolfy>
Status: CLOSED RAWHIDE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: redhat-bugzilla, vcrhonek
Target Milestone: ---Flags: wolfy: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-02-06 11:55:04 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Nobody's working on this, feel free to take it 2007-01-31 19:14:32 UTC
Fedora Merge Review: kbd

http://cvs.fedora.redhat.com/viewcvs/devel/kbd/
Initial Owner: mitr@redhat.com

Comment 1 manuel wolfshant 2009-02-04 00:13:13 UTC
rpmlint is not really happy at all:
rpmlint of source RPM:
kbd.src:20: W: unversioned-explicit-obsoletes console-tools
kbd.src:20: W: unversioned-explicit-obsoletes open
kbd.src:21: W: unversioned-explicit-provides console-tools
kbd.src:21: W: unversioned-explicit-provides open
kbd.src:23: E: prereq-use initscripts >= 5.86-1
kbd.src:73: E: hardcoded-library-path in $RPM_BUILD_ROOT/lib/kbd/keymaps/i386/qwerty/ro_win.map.gz
kbd.src:76: E: hardcoded-library-path in $RPM_BUILD_ROOT/lib/kbd/keymaps/i386/qwerty/sr-latin.map.gz
kbd.src:80: E: hardcoded-library-path in $RPM_BUILD_ROOT/lib/kbd/keymaps/i386/qwerty/ko.map.gz
kbd.src:109: E: hardcoded-library-path in /lib/kbd
kbd.src: W: no-url-tag

rpmlint of kbd:
kbd.x86_64: W: file-not-utf8 /usr/share/doc/kbd-1.15/ChangeLog
kbd.x86_64: W: no-url-tag


I think that --localedir=/usr/share/locale should be replaced with --localedir=%_datadir/locale

At least the COPYING file from the root dir should be included as %doc. I suggest to also add doc/dvorak

Comment 2 manuel wolfshant 2009-02-04 00:14:27 UTC
Seems like the real maintainer is not mitr any more...

Comment 3 Vitezslav Crhonek 2009-02-05 15:17:41 UTC
(In reply to comment #1)

Hi,

you are right, I'm maintaining kbd currently.

> rpmlint is not really happy at all:
> rpmlint of source RPM:
> kbd.src:20: W: unversioned-explicit-obsoletes console-tools
> kbd.src:20: W: unversioned-explicit-obsoletes open
> kbd.src:21: W: unversioned-explicit-provides console-tools
> kbd.src:21: W: unversioned-explicit-provides open
OK, Obsoletes is very historical here and it's probably safe to remove it, I'm just not sure about Provides... I'm not able to find good information on Provides/Obsoletes (if console-tools and open Provides are needed by other some package), what do you think?

> kbd.src:23: E: prereq-use initscripts >= 5.86-1
Fixed (changed to plain Requires).

> kbd.src:73: E: hardcoded-library-path in
> $RPM_BUILD_ROOT/lib/kbd/keymaps/i386/qwerty/ro_win.map.gz
> kbd.src:76: E: hardcoded-library-path in
> $RPM_BUILD_ROOT/lib/kbd/keymaps/i386/qwerty/sr-latin.map.gz
> kbd.src:80: E: hardcoded-library-path in
> $RPM_BUILD_ROOT/lib/kbd/keymaps/i386/qwerty/ko.map.gz
> kbd.src:109: E: hardcoded-library-path in /lib/kbd
We want /lib/kbd for every architecture, so I'll not change this.

> kbd.src: W: no-url-tag
There's no kbd homepage.

> 
> rpmlint of kbd:
> kbd.x86_64: W: file-not-utf8 /usr/share/doc/kbd-1.15/ChangeLog
Fixed.

> kbd.x86_64: W: no-url-tag
See above.

> 
> 
> I think that --localedir=/usr/share/locale should be replaced with
> --localedir=%_datadir/locale
Fixed.

> 
> At least the COPYING file from the root dir should be included as %doc. I
> suggest to also add doc/dvorak
I agree with COPYING, but disagree with doc/dvorak. I think people that already are using dvorak don't need this kind of info and others much less:)

Comment 4 manuel wolfshant 2009-02-05 19:28:40 UTC
(In reply to comment #3)
> > kbd.src:20: W: unversioned-explicit-obsoletes console-tools
> > kbd.src:20: W: unversioned-explicit-obsoletes open
> > kbd.src:21: W: unversioned-explicit-provides console-tools
> > kbd.src:21: W: unversioned-explicit-provides open
> OK, Obsoletes is very historical here and it's probably safe to remove it, I'm
> just not sure about Provides... I'm not able to find good information on
> Provides/Obsoletes (if console-tools and open Provides are needed by other some
> package), what do you think?
> 
According to:
  [wolfy@wolfy tmp]$ repoquery --whatrequires open --repoid=development
  [wolfy@wolfy tmp]$ repoquery --whatrequires console-tools --repoid=development
you can drop the Provides, too. No one seems to require them.



> > kbd.src:73: E: hardcoded-library-path in
> > $RPM_BUILD_ROOT/lib/kbd/keymaps/i386/qwerty/ro_win.map.gz
> > kbd.src:76: E: hardcoded-library-path in
> > $RPM_BUILD_ROOT/lib/kbd/keymaps/i386/qwerty/sr-latin.map.gz
> > kbd.src:80: E: hardcoded-library-path in
> > $RPM_BUILD_ROOT/lib/kbd/keymaps/i386/qwerty/ko.map.gz
> > kbd.src:109: E: hardcoded-library-path in /lib/kbd
> We want /lib/kbd for every architecture, so I'll not change this.
OK.



> > kbd.src: W: no-url-tag
> There's no kbd homepage.
How about http://ftp.altlinux.org/pub/people/legion/kbd ?


> > At least the COPYING file from the root dir should be included as %doc. I
> > suggest to also add doc/dvorak
> I agree with COPYING, but disagree with doc/dvorak. I think people that already
> are using dvorak don't need this kind of info and others much less:)
Well, say I'd like to give Dvorak a spin and I'll use it side by side with the normal QWERTY layout for a while. Wouldn't I need the docs? Having them on my system might be more convenient than browsing the net for them.

Comment 5 Vitezslav Crhonek 2009-02-06 10:42:34 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > > kbd.src:20: W: unversioned-explicit-obsoletes console-tools
> > > kbd.src:20: W: unversioned-explicit-obsoletes open
> > > kbd.src:21: W: unversioned-explicit-provides console-tools
> > > kbd.src:21: W: unversioned-explicit-provides open
> > OK, Obsoletes is very historical here and it's probably safe to remove it, I'm
> > just not sure about Provides... I'm not able to find good information on
> > Provides/Obsoletes (if console-tools and open Provides are needed by other some
> > package), what do you think?
> > 
> According to:
>   [wolfy@wolfy tmp]$ repoquery --whatrequires open --repoid=development
>   [wolfy@wolfy tmp]$ repoquery --whatrequires console-tools
> --repoid=development
> you can drop the Provides, too. No one seems to require them.
Fixed.

> 
> 
> 
> > > kbd.src:73: E: hardcoded-library-path in
> > > $RPM_BUILD_ROOT/lib/kbd/keymaps/i386/qwerty/ro_win.map.gz
> > > kbd.src:76: E: hardcoded-library-path in
> > > $RPM_BUILD_ROOT/lib/kbd/keymaps/i386/qwerty/sr-latin.map.gz
> > > kbd.src:80: E: hardcoded-library-path in
> > > $RPM_BUILD_ROOT/lib/kbd/keymaps/i386/qwerty/ko.map.gz
> > > kbd.src:109: E: hardcoded-library-path in /lib/kbd
> > We want /lib/kbd for every architecture, so I'll not change this.
> OK.
> 
> 
> 
> > > kbd.src: W: no-url-tag
> > There's no kbd homepage.
> How about http://ftp.altlinux.org/pub/people/legion/kbd ?
Well, same URL is in source... But you're probably right, it's better for users than nothing. Fixed.

> 
> 
> > > At least the COPYING file from the root dir should be included as %doc. I
> > > suggest to also add doc/dvorak
> > I agree with COPYING, but disagree with doc/dvorak. I think people that already
> > are using dvorak don't need this kind of info and others much less:)
> Well, say I'd like to give Dvorak a spin and I'll use it side by side with the
> normal QWERTY layout for a while. Wouldn't I need the docs? Having them on my
> system might be more convenient than browsing the net for them.
Fine, I see it might be useful, so it's added.

All changes are written to the CVS, let me know if you have anything else. Thanks for review!

Comment 6 manuel wolfshant 2009-02-06 11:09:12 UTC
Nothing further, let's close it. APPROVED.